### Method

# Ide Pipeline foreach_stage

#### Declaration

    void
    ide_pipeline_foreach_stage (
      IdePipeline* self,
      GFunc stage_callback,
      gpointer user_data
    )

#### Description

This function will call `stage_callback` for every `IdePipelineStage` registered in the pipeline.

Available since: | 3.32

#### Parameters

`stage_callback` | `GFunc`
| A callback for each `IdePipelineStage`.
`user_data` | `gpointer`
| User data for `stage_callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.